### Function

# RB file

#### Declaration [src]

    const char*
    rb_file (
      const char* filename
    )

#### Description [src]

Searches for an installed file, returning the full path name if found, NULL otherwise.

#### Parameters

`filename`

  Type: `const char*`

  Name of file to search for.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const char*`

Full file name, if found. Must not be freed.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.